/**
 * React Native Full App (https://store.enappd.com/product/react-native-full-app)
 *
 * Copyright © 2019-present Enappd. All rights reserved.
 *
 * This source code is licensed as per the terms found in the
 * LICENSE.md file in the root directory of this source tree.
 */
import React from 'react';
import WhatsappChatListView from './whatsappchatView';
import localData from '../../../../Database/star';
import { withNavigation } from 'react-navigation';
class WhatsAppChatContainer extends React.Component<any> {
  constructor(props: any) {
    super(props);
    this.state = {};
  }
  chatUser = localData.whatsAppchatUser;
  goToChat = () => {
    this.props.navigation.navigate('StartChat');
  };
  render() {
    return (
      <WhatsappChatListView chatUser={this.chatUser} goToChat={this.goToChat} />
    );
  }
}

export default withNavigation(WhatsAppChatContainer);
